[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLTransaction.StartTransaction

Start a new transaction

## Declaration

Source position: sqldb.pp line 345

`public procedure TSQLTransaction.StartTransaction; override;`

## Description

StartTransaction starts a new transaction context. All changes written to the database must be confirmed with a Commit or can be undone with a Rollback call.

Calling StartTransaction is equivalent to setting Active to True.

## Errors

If StartTransaction is called while the transaction is still active, an exception will be raised.

## See also

StartTransaction |  | Start a new transaction
Commit |  | Commit the transaction, end transaction context.
Rollback |  | Roll back all changes made in the current transaction.
CommitRetaining |  | Commit the transaction, retain transaction context.
EndTransaction |  | End the transaction